[Testing Update] 2022-12-24 - Gnome, Gtk, lib32, Firefox-Beta, Kde-Git

Hello community,

Another testing branch update with some usual package updates for you. We wish everyone happy holidays and enjoy with family and friends.

Recent News:

Notable Package Updates:

  • Small updates to some of the Gnome packages
  • Gtk3 and Gtk4 got updated
  • Some lib32 packages got synced with their 64bit ones
  • Beside the usual upstream updates like Firefox-Beta and others we added our KDE-git packages as usual

Additional Info

Info about AUR packages

:warning: AUR (Arch User Repository) packages are neither supported by Arch nor Manjaro. Posts about them in Announcement topics are off-topic and will be flagged, moved or removed without warning.

Info about GNOME 43

GNOME 43 is here! :partying_face:

New in Manjaro GNOME:

Lonely leftover orphan packages that have been removed from the Arch / Manjaro repositories:

  • adwaita-maia
  • dynamic-wallpaper-editor
  • firefox-gnome-theme-maia
  • gtkhash-nautilus
    (Not compatible with Nautilus 43)
  • manjaro-dynamic-wallpaper
  • manjaro-gdm-tweak
  • nautilus-terminal
    (Not compatible with Nautilus 43 & EOL)

Get our latest daily developer images now from Github: Plasma, GNOME, XFCE. You can get the latest stable releases of Manjaro from CDN77.


Our current supported kernels

  • linux419 4.19.269
  • linux54 5.4.228
  • linux510 5.10.161
  • linux515 5.15.85
  • linux60 6.0.15
  • linux61 6.1.1
  • linux515-rt 5.15.79_rt54
  • linux60-rt 6.0.5_rt14

Package changes (Fri Dec 23 23:42:47 CET 2022)

  • testing community x86_64: 131 new and 131 removed package(s)
  • testing extra x86_64: 23 new and 23 removed package(s)
  • testing kde-unstable x86_64: 22 new and 22 removed package(s)
  • testing multilib x86_64: 7 new and 7 removed package(s)
:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022.12.23           2022.12.24
-------------------------------------------------------------------------------
                           apptainer              1.1.4-1              1.1.4-2
                             arch-hs          0.10.2.0-93          0.10.2.0-94
                             cargo-c             0.9.14-1             0.9.15-1
                               cli11              2.2.0-1              2.3.1-1
                             cockpit                282-1              282.1-1
                  cockpit-packagekit                282-1              282.1-1
                         cockpit-pcp                282-1              282.1-1
                      cockpit-podman                 58-1                 59-1
                    cockpit-storaged                282-1              282.1-1
           firefox-developer-edition            109.0b5-1            109.0b6-1
  firefox-developer-edition-i18n-ach            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-af            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-an            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ar            109.0b5-1            109.0b6-1
  firefox-developer-edition-i18n-ast            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-az            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-be            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-bg            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-bn            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-br            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-bs            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ca            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-ca-valencia      109.0b5-1            109.0b6-1
  firefox-developer-edition-i18n-cak            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-cs            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-cy            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-da            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-de            109.0b5-1            109.0b6-1
  firefox-developer-edition-i18n-dsb            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-el            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-en-ca            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-en-gb            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-en-us            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-eo            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-es-ar            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-es-cl            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-es-es            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-es-mx            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-et            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-eu            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-fa            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ff            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-fi            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-fr            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-fy-nl            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-ga-ie            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-gd            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-gl            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-gn            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-gu-in            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-he            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-hi-in            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-hr            109.0b5-1            109.0b6-1
  firefox-developer-edition-i18n-hsb            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-hu            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-hy-am            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ia            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-id            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-is            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-it            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ja            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ka            109.0b5-1            109.0b6-1
  firefox-developer-edition-i18n-kab            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-kk            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-km            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-kn            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ko            109.0b5-1            109.0b6-1
  firefox-developer-edition-i18n-lij            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-lt            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-lv            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-mk            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-mr            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ms            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-my            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-nb-no            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-ne-np            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-nl            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-nn-no            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-oc            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-pa-in            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-pl            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-pt-br            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-pt-pt            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-rm            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ro            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ru            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-si            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-sk            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-sl            109.0b5-1            109.0b6-1
  firefox-developer-edition-i18n-son            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-sq            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-sr            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-sv-se            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ta            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-te            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-th            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-tl            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-tr            109.0b5-1            109.0b6-1
  firefox-developer-edition-i18n-trs            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-uk            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-ur            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-uz            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-vi            109.0b5-1            109.0b6-1
   firefox-developer-edition-i18n-xh            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-zh-cn            109.0b5-1            109.0b6-1
firefox-developer-edition-i18n-zh-tw            109.0b5-1            109.0b6-1
               firefox-ublock-origin             1.45.2-1             1.46.0-1
                                  fq              0.1.0-1              0.2.0-1
                       git-warp-time              0.4.5-2              0.4.8-1
                         gnome-boxes               43.1-1               43.2-1
                       grafana-agent             0.30.0-1             0.30.1-1
                  grafana-agent-crow             0.30.0-1             0.30.1-1
                    grafana-agentctl             0.30.0-1             0.30.1-1
                    haskell-polysemy           1.7.1.0-36            1.8.0.0-1
     intellij-idea-community-edition           4:2022.3-1         4:2022.3.1-1
                      jupyter-server              2.0.4-1              2.0.5-1
                              libzen             0.4.39-1             0.4.40-1
                               maude              3.2.1-1              3.2.2-1
                       mod_passenger             6.0.15-3             6.0.16-1
                 nginx-mod-passenger             6.0.15-3             6.0.16-1
                           passenger             6.0.15-3             6.0.16-1
                            pybind11             2.10.1-1             2.10.2-1
            python-jupyterlab_server             2.16.5-1             2.16.6-1
                   python-weasyprint               57.1-1               57.2-1
                              racket                8.7-1                8.7-2
                      racket-minimal                8.7-1                8.7-2
                               rnote              0.5.9-1             0.5.10-1
                            rssguard              4.2.7-1              4.2.7-2
                rssguard-nowebengine              4.2.7-1              4.2.7-2
                                ruff            0.0.191-1            0.0.192-1
                       ublock-origin             1.45.2-1             1.46.0-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022.12.23           2022.12.24
-------------------------------------------------------------------------------
                gnome-control-center               43.1-7               43.2-1
    gnome-control-center-x11-scaling               43.1-5               43.2-1
              grub-theme-live-common              20.2-12              20.2-13
             grub-theme-live-manjaro              20.2-12              20.2-13
                  grub-theme-manjaro              20.2-12              20.2-13


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022.12.23           2022.12.24
-------------------------------------------------------------------------------
                           appstream             0.15.5-1             0.15.6-1
                        appstream-qt             0.15.5-1             0.15.6-1
                            composer              2.5.0-1              2.5.1-1
                     default-cursors                  1-1                  2-1
               gtk-update-icon-cache            1:4.8.2-1            1:4.8.3-1
                                gtk3          1:3.24.35-2          1:3.24.36-1
                          gtk3-demos          1:3.24.35-2          1:3.24.36-1
                           gtk3-docs          1:3.24.35-2          1:3.24.36-1
                                gtk4            1:4.8.2-1            1:4.8.3-1
                          gtk4-demos            1:4.8.2-1            1:4.8.3-1
                           gtk4-docs            1:4.8.2-1            1:4.8.3-1
                            kalendar            22.12.0-1            22.12.0-2
                               krita              5.1.4-2              5.1.4-3
                           libsigc++             2.10.8-1             2.12.0-1
                       libsigc++-3.0              3.2.0-1              3.4.0-1
                  libsigc++-3.0-docs              3.2.0-1              3.4.0-1
                      libsigc++-docs             2.10.8-1             2.12.0-1
                               meson             0.64.1-1              1.0.0-2


:: Different overlay package(s) in repository kde-unstable x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022.12.23           2022.12.24
-------------------------------------------------------------------------------
                   kactivitymanagerd5.26.4.r1436.gd22a22b-15.26.4.r1437.g233a714-1
                                 kio5.101.0.r5971.g75a01e538-15.101.0.r5972.g06a5d99f8-1
                               kmail22.12.0.r26700.gb35b1d520-122.12.0.r26702.g6f649362d-1
                             kscreen5.26.4.r1637.g3d4af87-15.26.4.r1638.g6e3f802-1
                         ksshaskpass5.26.4.r236.gc61f6cd-15.26.4.r237.g93a8488-1
                        ksystemstats5.26.4.r260.gab269a1-15.26.4.r261.g44f66bd-1
                                kwin5.26.4.r23814.gb661c3d12-15.26.4.r23815.gee7f4c47b-1
                             kwrited5.26.4.r521.g21190ee-15.26.4.r522.g848d720-1
                          libkscreen5.26.4.r1709.ge84d610-15.26.4.r1710.gb13eaab-1
                              marble22.12.0.r13533.g0f289d578-122.12.0.r13534.g8c340a1bf-1
                       marble-common22.12.0.r13533.g0f289d578-122.12.0.r13534.g8c340a1bf-1
                           marble-qt22.12.0.r13533.g0f289d578-122.12.0.r13534.g8c340a1bf-1
                    plasma-bigscreen5.26.0.r594.ged52ef5-15.26.0.r596.g43e45db-1
          plasma-browser-integration5.26.4.r1402.g7d6e0d80-15.26.4.r1403.g4c4e7e64-1
                        plasma-disks5.26.4.r316.ge943051-15.26.4.r317.gd14c0e4-1
                     plasma-firewall5.26.4.r697.gffac520-15.26.4.r698.g615256f-1
                  plasma-integration5.26.4.r614.g62e323b-15.26.4.r615.gc77b3b4-1
                         plasma-nano5.26.4.r213.g184864d-15.26.4.r214.g2709952-1
                           plasma-pa5.26.4.r1157.g21a7451-15.26.4.r1158.gdadc01f-1
                plasma-systemmonitor5.26.4.r665.ga2bebfa-15.26.4.r666.gef919bf-1
                  plasma-thunderbolt5.26.4.r212.g4e31b17-15.26.4.r213.gad29468-1
                          powerdevil5.26.4.r2653.g7128c087-15.26.4.r2654.g8761fc44-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022.12.23           2022.12.24
-------------------------------------------------------------------------------
              lib32-gst-plugins-base             1.20.4-1             1.20.5-1
         lib32-gst-plugins-base-libs             1.20.4-1             1.20.5-1
              lib32-gst-plugins-good             1.20.4-1             1.20.5-1
                     lib32-gstreamer             1.20.4-1             1.20.5-1
                          lib32-gtk3          1:3.24.35-2          1:3.24.36-1
                            yabridge              4.0.2-1              5.0.2-1
                         yabridgectl              4.0.2-1              5.0.2-1


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

3 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Please RTFT (Read This Fine Thread) first before reporting the same issues over and over again!

:arrow_right: 2022-12-24

2022-12-22

pacman-mirrors was temporarily renamed to manjaro-mirrors (the changes were reverted)

This was done to avoid confusion with an AUR / WSL package with the same name and avoid possible breakage. It should be a seamless transition.

Rename project (#183) · Issues · Applications / pacman-mirrors · GitLab

2022-12-19

KDE Wayland sometimes hangs with mesa 22.3.1 and AMD GPU

2022-12-16

dbus-x11 demoted to AUR

dbus-x11 was installed out of the box on some flavors of Manjaro as of a year ago, but is no longer needed. If you have it installed, please replace it with dbus using the following:

sudo pacman -Syu dbus
XFCE becomes unusable if libxfce4ui-nocsd is still installed

So far XFCE Classic project hasn’t updated yet to 4.18 series. We pushed 4.17.0 version of the package, but don’t know if that helps in that situation. It is recommended to install the regular libxfce4ui package to avoid issues and comment on this issue: libxfce4ui 4.18.0 released · Issue #15 · Xfce-Classic/libxfce4ui-nocsd · GitHub

2022-12-04

python-cairo 1.23.0-2 update requires manual intervention

The python-cairo package prior to version 1.23.0-2 was missing the compiled python module. This has been fixed in 1.23.0-2, so the upgrade will need to overwrite the untracked pyc file that was created. If you receive this error

python-cairo: /usr/lib/python3.10/site-packages/cairo/__pycache__/__init__.cpython-310.pyc exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/python3.10/site-packages/cairo/__pycache__/\*

to perform the upgrade.

2022-11-08

Pop Shell issues with Xorg session with Mutter 43.1 (fixed with mutter 43.1-1.0)

Gnome 43 (X11) GTK4 windows failed to render · Issue #1541 · pop-os/shell · GitHub

Windows not updated after non-interactive resize on X11 (#6054) · Issues · GNOME / gnome-shell · GitLab

2022-10-28

signature from "Manjaro Build Server <build_at_manjaro_dot_org>" is unknown trust

Seems our signing key for our Build Server had the 2022-10-28 as expire date set when generated. This is now fixed for chroot builds and fresh as also current existing installs via manjaro-keyring 20221028-4 Simply update your system to get that package, which got pushed to all our branches.

2022-10-27

Kernel 6.1-rc# might break backlight control on old/weird laptops

2022-10-18

Firefox 106.0 may have issues with screen sharing on GNOME with Wayland

2022-09-23

Nvidia 3060RTX cards may have issues with the 515.76 driver (fixed with 520.56.06)
Removing python2 from the repositories

2022-09-23 - Jelle van der Waa

Python 2 went end of life January 2020. Since then we have been actively cutting down the number of projects depending on python2 in our repositories, and we have finally been able to drop it from our distribution. If you still have python2 installed on your system consider removing it and any python2 package.

If you still require the python2 package you can keep it around, but please be aware that there will be no security updates. If you need a patched package please consult the AUR, or use an unofficial user repository.*

Arch Linux - News: Removing python2 from the repositories

* Note: Unofficial user repositories are not supported

2022-08-27

Changes with Back In Time packages
  • backintime has been renamed to backintime-qt
  • backintime-cli has been renamed to backintime

After replacing backintime-cli with backintime, you will need to install backintime-qt manually if you want the Qt frontend installed again.

2022-08-23

electron12, electron13, electron14 & electron16 have been dropped to the AUR

Unsupported Electron packages have been dropped from the official repos to the AUR. They no longer receive security updates and nothing in the repos depend on them.

If you have AUR packages depending on those versions, install the binary version from the AUR to replace them; i.e., electron16-bin.

See FS#75490 - electron12, electron13, electron14, electron16 are unsupported and vulnerable packages

End of Support for 15.x.y and 16.x.y

Electron 15.x.y and 16.x.y has reached end-of-support. As per Electron’s new 8-week cadence, we were supporting the latest four versions of Electron until May 2022. With this Electron 19 release, we’ll return to supporting the latest three major versions, as well as the alpha, beta, and nightly releases.

– This is due to an AUR / WSL package to avoid confusion and possible breakage. It should be a seamless transition.Release electron v19.0.0 · electron/electron · GitHub

2022-08-12

element-desktop dependency error (fixed with 1.11.4)
error: failed to prepare transaction (could not satisfy dependencies)
:: installing electron (20.0.0-1) breaks dependency 'electron19' required by element-desktop
```[details=pacman-mirrors has been renamed to manjaro-mirrors]

This is due to an AUR / WSL package to avoid confusion and possible breakage. It should be a seamless transition.

https://gitlab.manjaro.org/applications/pacman-mirrors/-/issues/183

The upstream package was already flagged out of date (it needs to be rebuilt against latest electron).

Workaround for now:

sudo pacman -Syy electron electron19 --asdeps
sudo pacman -Su

[/details]

2022-08-04

Glibc 2.36 update will break EasyAntiCheat within Proton (should be fixed with glibc 2.36-2)

Temporary workaround for now is to use the flatpak version of steam:

sudo pacman -S flatpak --needed --noconfirm
sudo flatpak install com.valvesoftware.Steam -y

You can use flatseal (another flatpak app) to grant it access to your existing game library so you don’t have to re-download your games (add the game library install path under “Other files” under “Filesystem”).

sudo flatpak install com.github.tchx84.Flatseal -y

For advanced users (not recommended by us): patched glibc and lib32-glibc are available here. They remove the commit that broke EAC.

2022-07-27

Fixed: Pamac shows archlinux-keyring (20220713-2) and manjaro-keyring (20220514-2) as orphans
sudo pacman -D --asexplicit archlinux-keyring manjaro-keyring

Resolved: w/ base 3-2 Revert changes:

sudo pacman -D --asdeps archlinux-keyring manjaro-keyring

2022-07-16

wxWidgets 3.2 update may need manual intervention

Packages have been renamed from wxgtk- to wxwidgets-. The GTK2 frontend is no longer provided. If you have wxgtk2 installed, the upgrade will fail with:

In such case, uninstall wxgtk2 first and then proceed with the upgrade.

2022-07-13

Linux518: could not insert 'amd_pstate': No such device

With Kernel 5.18.11 there was added a regression to AMD P-State driver preventing it from loading.

2022-07-08

Wireplumber 0.4.11 may crash for GDM users

Currently there is an issue with 0.4.11 and GDM crashing on boot-up. More in the upstream bugtracker issue: wireplumber segfault: system boot and could see in my dmesg (#305) · Issues · PipeWire / wireplumber · GitLab

2022-06-07

Locale file changes

C.UTF8 locale is now included in glibc:

Credits @diabonas for this change. Systemd wants us to include C.UTF8 by default and it seems the locale may be in included by glibc upstream in the future. To fix building and avoid nasty fixing in devtools, we include the locale in the package. See systemd/systemd#23252 (comment) FS#74864 : [systemd] >= 251 breaks devtools' locale

There is a pacsave for /etc/locale.conf as it has been removed from the filesystem package.

UPDATE: With filesystem 2022.06.08-2, it will automatically restore /etc/locale.conf if it did not already exist.
Uploading: image.png…

There is a pacnew for /etc/locale.gen. Please review it and regenerate your locale if necessary.

Followed @Zesko 's instructions to downgrade mesa, no more UI hangs. I guess my hangs being gone was short-lived.

IMO it was more a law-abiding, avoiding liability for licensing fees way than any sort of corporate psychopathy, because Manjaro did not have an independent 3rd party source in place to work around licence restrictions

I am not aware of any other codecs that may have licence restrictions, but I only checked audio/video codecs relevant to my use

If you know of any codecs or packages that may have copyright/patent issues, I suggest you report any suspect packages to Manjaro team by private message so they can be investigated without any reactance from users

The amdgpu suspend screen issue is still not resolved for me on kernel 6.1.1. My GPU is a Radeon VII.

I have no issue with my amdgpu on the same Kernel 6.1.1. What is your GPU?

Radeon VII